/**************** (c) 2006 Florent COSTE **********************
     
PROJECT  : ST7MC Rx battery charger
COMPILER : ST7 COSMIC

MODULE  :  MTC_Settings_Sensorless.h
LIBRARY VERSION  :  1.0.2

CREATION DATE :    9/15/2004  15:41

AUTHOR :  File generated by the AK-ST7FMC Control Panel

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-


******************************************************************************/


#include "lib.h" 


#define MTC_CLOCK		((u32)16000000) 	// Resolution: 1Hz     

#define mem_MPCR	 	((u8)0)  // Selection of PWM Mode(standard), type(Edge-aligned) and prescaler setting for 12 Bits timer

#define mem_MCPOL	 	((u8)00) // Setting of PWM frequency on 12Bits Timer Low Register 10Khz
#define mem_MCPOH	 	((u8)4) // Setting of PWM frequency on 12Bits Timer High Register

#define mem_MCPVL      	((u8)0) // Setting of PWM duty cycle use for current limitation in voltage mode Low Register
#define mem_MCPVH      	((u8)0) // Setting of PWM duty cycle use for current limitation in voltage mode High Register

#define mem_MCRA    		((u8)0x28) // Current mode selected, sensor mode
#define mem_MCRC		((u8)64) // Setting of MCRC register for sampling and voltage reference

#define mem_MPRSR       	((u8)00) // Setting of PWM frequency used in current mode -> 50Khz
#define mem_MDTG        	((u8)00) // Selection of Dead time
#define mem_MCONF       	((u8)2) // Selection of delay before sampling and Peripheral frequency (4MHz with 16Mhz input frequency)
//#define mem_MCFR        	((u8)0x01) // Set filter of current feedback  1 samples, 0.5 uS
#define mem_MCFR        	((u8)0x00) // Set filter of current feedback  1 samples, no blanking
#define mem_MZFR        	((u8)0) // Set filter of Z event detection
#define mem_MSCR        	((u8)0) // Set sampling frequency to count D & Z events
#define Freq_Min	 	((u16)100) // Setting of min frequency in closed loop mode
#define Freq_Max	 	((u16)6667) // Setting of max frequency in closed loop mode

#define Max_Duty	 	((u16)618)   // Max duty cycle allowed (Voltage mode, closed loop)


#define mem_MDFR	 	((u8)0) // Set filter of D event detection
#define mem_MPWME       ((u8)0x40) // no off-time in sensor current mode, W channel output




/**************** (c) 2006 Florent COSTE **********************/


